Bug 246874 - textproc/highlight: replace hardcoded dependency from lua-5.2 to lua from DEFAULT_VERSIONS
Summary: textproc/highlight: replace hardcoded dependency from lua-5.2 to lua from DEF...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-30 17:11 UTC by VVD
Modified: 2020-06-13 17:25 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback-
vvd: maintainer-feedback?


Attachments
Replace dependency from lua-5.2 to lua-5.3 (1023 bytes, patch)
2020-05-30 17:11 UTC, VVD
no flags Details | Diff
Replace dependency hardcoded from lua-5.2 to lua from DEFAULT_VERSIONS (1.01 KB, patch)
2020-05-30 17:31 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-05-30 17:11:43 UTC
Created attachment 215066 [details]
Replace dependency from lua-5.2 to lua-5.3

Tested on 12.1 amd64.
Comment 1 VVD 2020-05-30 17:31:21 UTC
Created attachment 215067 [details]
Replace dependency hardcoded from lua-5.2 to lua from DEFAULT_VERSIONS

Tested with DEFAULT_VERSIONS+=lua=5.3 and 5.2.
Didn't tested with 5.1.
Comment 2 VVD 2020-05-30 17:58:50 UTC
Tested with 5.1 too: build textproc/gtk-doc (as test) after build textproc/highlight lua 5.1.
Comment 3 VVD 2020-06-11 14:20:20 UTC
Is any blocker for commit this?
Comment 4 Tobias C. Berner freebsd_committer 2020-06-13 16:38:48 UTC
Maintainer timeout.
Comment 5 commit-hook freebsd_committer 2020-06-13 17:25:24 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jun 13 17:25:13 UTC 2020
New revision: 538691
URL: https://svnweb.freebsd.org/changeset/ports/538691

Log:
  textproc/highlight: replace hardcoded dependency from lua-5.2 to lua from DEFAULT_VERSIONS

  PR:		246874
  Submitted by:	VVD <vvd@unislabs.com>
  Approved by:	kwm (timeout)

Changes:
  head/textproc/highlight/Makefile
  head/textproc/highlight/files/patch-src_makefile
Comment 6 Tobias C. Berner freebsd_committer 2020-06-13 17:25:51 UTC
Committed Thanks.